Name: yafaray
Version: 0.1.0.305
Release: alt2

Summary: YafaRay is a raytracing open source render engine
License: LGPL
Group: Graphics
Url: http://www.yafray.org/

Packager: Sergey Kurakin <kurakin@altlinux.org>

Source0: YafaRay-%version.zip
Source1: YafaRay-blender-%version.zip

# Automatically added by buildreq on Sun May 03 2009
BuildRequires: gcc-c++ libfreetype-devel libjpeg-devel libpng-devel libxml2-devel openexr-devel python-devel scons subversion swig unzip

%description
Raytracing is a rendering technique for generating realistic images
by tracing the path of light through a 3D scene. An engine consists of
a computer program that interacts with a host 3D application to provide
very specific raytracing capabilties "on demand". Blender is the host
application of YafaRay.
YafaRay is a new raytracing render engine written from scratch,
and it replaces YafRay 0.0.9. After two years of development,
it already features a complete set of lighting
and rendering options.

%package blender
Summary: YafaRay export scripts for Blender
Group: Graphics
Requires: %name = %version-%release

%description blender
Blender is the host application of YafaRay. You need this package
to use YafaRay directly from Blender.

%prep
%setup -n %name
%setup -T -D -a 1 -n %name

cat >user-config.py <<__EOF__
PREFIX = '%buildroot%_usr'
CCFLAGS = '-Wall -fPIC'
YF_LIBOUT = '%buildroot%_libdir'
YF_PLUGINPATH = '%buildroot%_libdir/%name'
YF_BINPATH = '%buildroot%_bindir'
__EOF__

sed -i 's|\$YF_PLUGINPATH|%_libdir/%name|g' tools/writeconfig.py
sed -i 's|\$YF_LIBOUT|%_libdir|g' tools/writeconfig.py

%build
scons build
scons swig

%install

scons install
install -d -m755 %buildroot%_libdir/blender/scripts
install -p -m644 bindings/python/* %buildroot%_libdir/blender/scripts
install -p -m644 YafaRay-blender/* %buildroot%_libdir/blender/scripts

%files
#doc AUTHORS ChangeLog INSTALL README NEWS
%dir %_libdir/%name
%_libdir/%name/*.so
%_libdir/*.so
%_bindir/*

%files blender
%_libdir/blender/scripts/*

%changelog
* Sat May  9 2009 Sergey Kurakin <kurakin@altlinux.org> 0.1.0.305-alt2
- fixed plugins directory ownership (at@)
- spec cleanup

* Tue May  5 2009 Sergey Kurakin <kurakin@altlinux.org> 0.1.0.305-alt1
- first build for AltLinux Sisyphus
